Status

()

Core
Plug-ins
RESOLVED WORKSFORME
17 years ago
17 years ago

People

(Reporter: flipper4258, Assigned: edburns)

Tracking

({crash})

Trunk
x86
Linux
crash
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(URL)

(Reporter)

Description

17 years ago
ok, I realize this bug has been submitted a hundred times, but I'm not sure if
this angle has been reported.

I'm running Redhat Linux 7.1 with kernel 2.4.2. and Ximian Gnome. I can access
biblio.unm.edu/bigi and access the java display with Mozilla .7.15. If Mozilla
is upgraded (say to 0.9.2), it breaks.

Comment 1

17 years ago
Have you tried upgrading to JRE 1.3.1 from http://java.sun.com/ ?
There are some issues with 1.3.0 and the glibc used in Redhat 7.1.

Comment 2

17 years ago
reporter: are you sure, that your libjavaplugin_oji.so file is only a link, not
a real copy?
(Reporter)

Comment 3

17 years ago
Chris Hiner: I've tried JRE 1.3.0, 1.3.1 and beta 1.4.

Jens-Uwe: libjavaplugin.oji doesn't seem to be on my hard drive (I assume it
should be...) :)

Comment 4

17 years ago
Using Mozilla build 20010727 with JRE 1.3.0_01 on Linux (heavily modified RH 6.2).
Above URL crashes with Talkback ID: TB33566155Z.

Therefore, works fine with Mozilla 20010731 with JRE 1.3.0_01 on the same Linux
box and also with Mozilla 20010731 with JRE 1.3.1 on Win2k.

So I tend to think this has been solved in recent builds on Linux, reporter, can
you try a nightly build ?
Also make sure you link the Java plug-in, for example:

pc2% ls -la
total 960
drwxr-xr-x    2 cahagn_o cahagn_o     4096 aoû  1 00:49 .
drwxr-xr-x    9 cahagn_o cahagn_o     4096 aoû  1 00:48 ..
-rwxr-xr-x    1 cahagn_o cahagn_o   947476 aoû  1 00:49 libflashplayer.so
lrwxrwxrwx    1 cahagn_o cahagn_o       53 aoû  1 00:49 libjavaplugin_oji.so ->
/usr/lib/java2/plugin/i386/ns600/libjavaplugin_oji.so
-rwxr-xr-x    1 cahagn_o cahagn_o    19256 jui 31 08:38 libnullplugin.so
(Reporter)

Comment 5

17 years ago
Here's my version of Mozilla:
Mozilla 0.9.1
Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; rv:0.9.1) Gecko/20010622
So I'm a little behind. That said, I'm not comfortable installing software
without RedCarpet or RPM. So I guess compiling a nightly is out of the question...


Jeez, I have two copies of Java:

******1*********
cd /usr/java/jre1.3.1/plugin/i386/ns600
[bg@localhost ns600]$ ls -al
total 356
drwxr-xr-x    2 root     bin          4096 Jul 30 15:35 .
drwxr-xr-x    4 root     bin          4096 May  6 04:37 ..
-rwxr-xr-x    1 root     bin        350326 May  6 04:39 libjavaplugin_oji.so

******2*********cd /usr/java/j2re1.4.0/plugin/i386/ns600
[bg@localhost ns600]$ ls -al
total 348
drwxr-xr-x    2 root     bin          4096 Jul 30 15:19 .
drwxr-xr-x    4 root     bin          4096 May 16 04:50 ..
-rwxr-xr-x    1 root     bin        342294 May 16 04:52 libjavaplugin_oji140.so

I don't see an 'l', so my plugin isn't linked. I assume...

Thanks for the advice gents, but I'm still kicking the tires on my Linux box,
and don't want to screw things up, so I'll wait until binaries are issued. I'm
learing at a moderate clip (have had Linux for 2 months), so maybe I'll try next
week.

Comment 6

17 years ago
Does this problem still exist ?

Comment 7

17 years ago
I can confirm this crash still does occur with milestone 0.9.3, RH 6.1 (modded
to ~= 6.2) and jdk-1.3.0_03

Comment 8

17 years ago
The above URL works as expected (ie. same/better as with NS4.7*) on RH 6.1
(modded to ~= 6.2) using the libjavaplugin_oji.so from jdk-1.3.0_03 and 
Build ID: 2001083108

Mark as WORKSFORME?

Comment 9

17 years ago
oji
Assignee: av → edburns
QA Contact: shrir → pmac

Updated

17 years ago
Keywords: crash
Whiteboard: has talkback

Updated

17 years ago
Whiteboard: has talkback

Comment 10

17 years ago
WFM with 0.9.4. Marking as WFM.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 17 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.